com.tibbo.aggregate.common.action

## Class ActionHistoryItem

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.action.ActionHistoryItem

-     public class ActionHistoryItem
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionHistoryItem()`
    `ActionHistoryItem(DataRecord data)`
    `ActionHistoryItem(java.util.Date time, java.lang.String mask, java.lang.String action, DataTable input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `DataTable` | `getInput()`
    `java.lang.String` | `getMask()`
    `java.util.Date` | `getTime()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setInput(DataTable input)`
    `void` | `setMask(java.lang.String mask)`
    `void` | `setTime(java.util.Date time)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### ActionHistoryItem

          public ActionHistoryItem()

    - #### ActionHistoryItem

          public ActionHistoryItem(DataRecord data)

    - #### ActionHistoryItem

          public ActionHistoryItem(java.util.Date time,
                                   java.lang.String mask,
                                   java.lang.String action,
                                   DataTable input)

  - ### Method Detail

    - #### getTime

          public java.util.Date getTime()

    - #### setTime

          public void setTime(java.util.Date time)

    - #### getMask

          public java.lang.String getMask()

    - #### setMask

          public void setMask(java.lang.String mask)

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

    - #### getInput

          public DataTable getInput()

    - #### setInput

          public void setInput(DataTable input)